## 3.18.12+13rc.tar.gz

=== extern/ttyproxy/Makefile ===
ifneq ($(KERNELRELEASE),)
obj-m:= ttyproxy.o
else
KDIR:= /usr/src/linux
PWD:= $(shell pwd)

all: ttyproxyd ttyproxy.ko

ttyproxyd: ttyproxyd.c ttyproxy.h
	gcc -O0 -g -levent -o ttyproxyd ttyproxyd.c

ttyproxy.ko: ttyproxy.h ttyproxy.c
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean:
	rm *~ ttyproxyd Module.markers  modules.order  Module.symvers ttyproxy.ko  ttyproxy.mod.c  ttyproxy.mod.o  ttyproxy.o

endif

=== debian/changelog ===
szarp (3.1.727) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@mint>  Tue, 03 Dec 2013 08:45:39 +0100

szarp (3.1.726) stable; urgency=low

  * building stable

 -- root <root@newterm.pl>  Tue, 12 Nov 2013 19:45:22 +0000

szarp (3.1.725) stable; urgency=low

  * building stable

 -- tph <tph@newmsi.newterm.pl>  Mon, 04 Nov 2013 15:10:27 +0100

szarp (3.1.725) unstable; urgency=low

  * building unstable

 -- tph <tph@newmsi.newterm.pl>  Mon, 28 Oct 2013 14:05:20 +0100

szarp (3.1.724) unstable; urgency=low

  * building unstable

 -- tph <tph@newmsi.newterm.pl>  Fri, 25 Oct 2013 14:02:32 +0200

szarp (3.1.723) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@bender>  Mon, 21 Oct 2013 16:09:43 +0200

szarp (3.1.722) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@bender>  Mon, 21 Oct 2013 10:29:33 +0200

szarp (3.1.721) squeeze; urgency=low

  * building squeeze

 -- root <root@newterm.pl>  Tue, 15 Oct 2013 19:14:31 +0000

szarp (3.1.720) squeeze; urgency=low

  * building squeeze

 -- root <root@newterm.pl>  Tue, 15 Oct 2013 19:13:44 +0000

szarp (3.1.719) stable; urgency=low

  * building stable

 -- root <root@newterm.pl>  Tue, 15 Oct 2013 18:43:38 +0000

szarp (3.1.718) unstable; urgency=low

  * building unstable 

 -- Krzysztof Gałązka <kg@newterm.pl>  Sun, 04 Aug 2013 17:18:29 +0200

szarp (3.1.717) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Thu, 01 Aug 2013 14:35:52 +0200

szarp (3.1.716) unstable; urgency=low

  * building unstable 

 -- Krzysztof Gałązka <kg@newterm.pl>  Mon, 29 Jul 2013 17:00:32 +0200

szarp (3.1.715) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 24 Jul 2013 16:59:14 +0200

szarp (3.1.711) unstable; urgency=low

  * building unstable 

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 09 Jul 2013 16:05:45 +0200

szarp (3.1.710) unstable; urgency=low

  * building unstable 

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 09 Jul 2013 15:58:10 +0200

szarp (3.1.709) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@bender>  Mon, 08 Jul 2013 18:32:33 +0200

szarp (3.1.707) stable; urgency=low

  * building stable

 -- root <root@fry>  Mon, 27 May 2013 16:04:31 +0000

szarp (3.1.706) stable; urgency=low

  * building stable

 -- Jakub Kotur <qba@newterm.pl>  Thu, 16 May 2013 23:50:10 +0200

szarp (3.1.705) unstable; urgency=low

  * building unstable

 -- Jakub Kotur <qba@newterm.pl>  Thu, 16 May 2013 23:44:52 +0200

szarp (3.1.704) unstable; urgency=low

  * building unstable

 -- Jakub Kotur <qba@newterm.pl>  Wed, 15 May 2013 17:02:30 +0000

szarp (3.1.703) unstable; urgency=low

  * building unstable

 -- root <root@fry>  Wed, 15 May 2013 09:28:41 +0000

szarp (3.1.702-test1) test; urgency=low

  * building test

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 15 May 2013 08:57:02 +0000

szarp (3.1.702) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 05 Mar 2013 10:55:27 +0100

szarp (3.1.701) squeeze; urgency=low

  * building squeeze

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 19 Feb 2013 12:08:14 +0100

szarp (3.1.700) squeeze; urgency=low

  * building squeeze

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 19 Feb 2013 11:22:20 +0100

szarp (3.1.699) squeeze; urgency=low

  * building squeeze

 -- Marta Szawara <marta@sloneczko>  Mon, 18 Feb 2013 10:16:57 +0100

szarp (3.1.698) unstable; urgency=low

  * building unstable

 -- Marta Szawara <marta@sloneczko>  Fri, 15 Feb 2013 11:54:15 +0100

szarp (3.1.697) unstable; urgency=low

  * building unstable

 -- Marta Szawara <marta@sloneczko>  Fri, 15 Feb 2013 11:51:51 +0100

szarp (3.1.697) squeeze; urgency=low

  * building squeeze

 -- Krzysztof Gałązka <kg@newterm.pl>  Mon, 11 Feb 2013 15:36:33 +0100

szarp (3.1.696) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Fri, 25 Jan 2013 09:40:31 +0100

szarp (3.1.695) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Sat, 12 Jan 2013 15:14:39 +0100

szarp (3.1.694) squeeze; urgency=low

  * building squeeze

 -- Krzysztof Gałązka <kg@newterm.pl>  Mon, 26 Nov 2012 21:20:37 +0100

szarp (3.1.693) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 21 Nov 2012 16:58:38 +0100

szarp (3.1.692) unstable; urgency=low

  * building unstable

 -- Darek Marcinkiewicz <reksio@newterm.pl>  Thu, 17 Nov 2012 11:29:44 +0200

szarp (3.1.690) squeeze; urgency=low

  * building squeeze

 -- Jakub Kotur <qba@newterm.pl>  Tue, 06 Nov 2012 17:23:08 +0100

szarp (3.1.689) unstable; urgency=low

  * building unstable

 -- Jakub Kotur <qba@bender>  Thu, 11 Oct 2012 11:29:44 +0200

szarp (3.1.686) unstable; urgency=low

  * building unstable

 -- Jakub Kotur <qba@bender>  Thu, 11 Oct 2012 11:29:43 +0200

szarp (3.1.685) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 21 Sep 2012 11:18:07 +0200

szarp (3.1.684) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 21 Sep 2012 11:18:07 +0200

szarp (3.1.682) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Tue, 04 Sep 2012 10:18:18 +0200

szarp (3.1.681) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Thu, 31 Aug 2012 20:05:24 +0200

szarp (3.1.680) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Thu, 20 Aug 2012 20:05:24 +0200

szarp (3.1.679) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Thu, 16 Aug 2012 20:05:24 +0200

szarp (3.1.678) unstable; urgency=low

  * building unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Wed, 15 Aug 2012 16:22:48 +0200

szarp (3.1.677) unstable; urgency=low

  * build unstable

 -- Krzysztof Gałązka <kg@newterm.pl>  Fri, 03 Aug 2012 15:03:03 +0200

szarp (3.1.676) unstable; urgency=low

  * building unstable 



=== debian/control ===
#$Id: control 6846 2009-06-23 15:40:30Z pawel $

Source: szarp
Priority: optional
Maintainer: Newterm Developers <devs@newterm.pl>
Section: misc
Standards-Version: 3.6.1
X-Python-Version: >= 2.6
Build-Depends: debhelper (>= 5.0.38), autotools-dev, automake, autoconf, autoconf-archive, ccache, libwxgtk3.0-dev, wx-common, libwxbase3.0-dev, libxml2-dev, bison, flex, imagemagick, jadetex, gettext, xsltproc, libxslt1-dev, libnewt-dev, libssl-dev |  libssl1.0-dev, libpam-dev | libpam0g-dev, libcurl3-dev | libcurl4-gnutls-dev, perl, librsync-dev, libgtk2.0-dev, libsqlite3-dev, libldap2-dev (>= 2.3.5), python-setuptools (>= 0.6b3-1), libzip-dev, jade | openjade, python-pybabel | python-babel, libicu-dev, libxt-dev, libc-ares-dev, libxmlrpc-epi-dev, libluajit-5.1-dev | liblua5.1-0-dev, libftgl-dev, libboost-dev (>=1.55), libboost-system-dev (>=1.55), libboost-thread-dev (>=1.55), libboost-program-options-dev (>=1.55), libboost-regex-dev (>=1.55), libboost-filesystem-dev (>=1.55), libboost-python-dev (>=1.55), libboost-locale-dev (>=1.55), libboost-signals-dev (>=1.55), libasio-dev | libasio1.55-dev, libstdc++-dev, libxpm-dev, libevent-dev(>=2.0), docbook-dsssl, docbook, rsync, dh-python, konwert, pyqt4-dev-tools, libtool, python-all-dev, python-dev, pyqt4-dev-tools, qt4-linguist-tools, libzmq3-dev, libcppunit-dev, protobuf-compiler, python-zmq, libprotobuf-dev, python-sip, python-lxml, python-protobuf, texlive-generic-recommended, libsnap7-dev, libsystemd-dev

Package: szarp-base
Section: misc
Architecture: any
Conflicts: szarp-scripts (<=2.2.4333)
Depends: ${shlibs:Depends}, ${misc:Depends}, apt(>=0.6.0), gnupg, openssh-client, openssh-server, rsync, curl
Description: SZARP basic components
 SZARP - Linux SCADA software - system for data acquisition, 
 archiving and raporting - package containing basic components.

Package: szarp-daemons
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, python-lxml, python-decorator, python-twisted, python-daemon, python-zmq, python-protobuf, python-systemd, libsnap71
Suggests: python-twisted-core
Breaks: szarp-proprietary-daemons(<=3.1-10)
Conflicts: szarp-proprietary-daemons(<=3.0.6824), szarp-sss, szarp-utils (<=2.2.2070)
Replaces: szarp-proprietary-daemons(<=3.0.6824), szarp-sss
Description: SZARP server daemons
 SZARP daemons and other essential applications
 run on a server.

Package: szarp-utils
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, szarp-base, python-clint, python-lxml, python-svn, python-protobuf
Description: SZARP utilities
 SZARP various utilities. 

Package: szarp-scripts
Section: misc
Architecture: any
Suggests: szarp-utils, smbclient, wget, ppp, xdialog, libxml2-utils (>=2.7.0)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}, bc
Description: SZARP scripts
 SZARP auxiliary scripts.

Package: szarp-server
Section: misc
Architecture: any
Conflicts: szarp-viewer, szarp-terminal
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-daemons, szarp-utils, openssl, subversion, szarp-paramd, szarp-iks-server
Suggests: szarp-proprietary-daemons
Description: Configure SZARP as a server
 Package that configures SZARP for use as a server.

Package: szarp-wx
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-doc-html, zip, xdg-utils, sshpass
Recommends: libwxgtk3.0-0v5 | libwxgtk3.0-0
Description: SZARP GUI programs based on wxWidgets library
 SZARP raporter3, reporter4, kontroler3, scc, ekstraktor3, wxhelp, draw3

Package: szarp-ipkedit
Section: x11
Architecture: any
Conflicts: szarp-wx (<< 3.18.8+9rc)
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-utils, szarp-doc-html, zip, xdg-utils, sshpass
Recommends: libwxgtk3.0-0v5 | libwxgtk3.0-0
Description: SZARP ipkedit

Package: szarp-terminal
Section: x11
Architecture: any
Conflicts: szarp-viewer, szarp-server
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-wx, szarp-doc-html
Description: Configure SZARP as a terminal
 This package depends on other SZARP's  packages that are 
 required for SZARP to act as a terminal.

Package: szarp-viewer
Section: x11
Architecture: any
Conflicts: szarp-terminal
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base, szarp-wx, szarp-doc-html
Description: Configure SZARP for viewing databases
 This package installs other SZARP's packages so that it is capable of viewing
 databases with parameters history.
 This package installs szarp-base, szarp-wx, szarp-doc-html
 packages and configures method of downloading databases.

Package: szarp-paramd
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-base
Suggests: szarp-daemons
Description: SZARP http daemon
 SZARP paramd - http server for parameters values. It replaces old netpard
 daemon; szarp-xsltd is also needed to run server for raporter3 and kontroler3
 programs.

Package: szarp-xsltd
Section: misc
Architecture: any
Depends: szarp-paramd, apache2, libapache2-mod-python, python-lxml
Description: SZARP raporter3/kontroler3 server
 This package contains Apache2 virtual server configuration to create server
 for ISL (Industry Schema Language) data visualization. Apache python handler
 and XSLT is used to prepare dynamic SVG schemas.

Package: szarp-server-complete
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, szarp-daemons, szarp-base, szarp-wx, szarp-doc-html, szarp-server, szarp-xsltd, szarp-scripts, szarp-utils
Description: This package contains complete SZARP distribution
 This package contains compontents that gets installed by performing make; make doc;make install from
 SZARP source tree. Configures itself as SZARP server.

Package: szarp-updater
Section: misc
Architecture: all
Depends: szarp-base (>=2.2.1319), ${perl:Depends}, libapt-pkg-perl
Description: SZARP packages updater
 Package sets up a cron job for updating SZARP packages.
 Also allows to specify which SZARP distribution should 
 be installed.

Package: szarp-koper
Section: misc
Architecture: any
Depends: szarp-base, szarp-wx, msttcorefonts
Description: SZARP premium calulator.
 Package installs program for premium calculation. Currently
 KOPER only displays average value of 'Financial loss' parametr.

Package: szarp-doc-pdf
Section: doc
Architecture: all
Description: PDF documentation for SZARP
 SZARP documentation in Portable Data Format (PDF).
 
Package: szarp-doc-html
Section: doc
Architecture: all
Depends: szarp-base
Description: HTML documentation for SZARP
 SZARP documentation in HTML and wxHelp format.

Package: szarp-filler
Section: python
Architecture: all
Depends: python-xml | python (>=2.6), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, szarp-utils, python-egenix-mxdatetime, python-wxgtk2.8,  gettext
Description: SZARP database filler
 SZARP filler - wxPython program editing editable parameters in SZARP
 database.

Package: szarp-isledit
Section: graphics
Architecture: any
Depends: szarp-base, ${shlibs:Depends}, ${misc:Depends}, inkscape
Description: Inkscape plugin for editing SZARP ISL visualization schemas
 Plugin for editing ISL visualization schemas using Inkscape vector drawing
 program.

Package: szarp-sssweb
Section: misc
Architecture: any
Depends: ${python:Depends}, python-pylons (>=1.0-2)
Suggests: apache2, python-flup
Description: Web interface for SZARP synchronization server.
 Pylons-based web application for administration of SZARP synchronization
 server (SSS) users. There's also a simple interface for users, to let them
 view there settings and request password change. SSSWeb can be deployed
 as standalone server or as a FastCGI.

Package: szarp-nagios
Section: misc
Architecture: all
Depends: python, ${python:Depends}, nagios3, fam, python-fam
Description: Nagios plugin to monitor SZARP servers.
 Nagios is a monitoring system for hosts and services. This package
 contains plugin for nagios, that allows monitoring if data from remote
 SZARP servers is synchronized on time. It can also discover problems
 with individual devices monitored by SZARP and with VPN hosts accessibility.

Package: szarp-dbg-symbols
Section: misc
Architecture: any
Description: Debug symbols for szarp binaries
 Contains debug symbols for szarp binaries.

Package: szarp-iks
Section: misc
Architecture: any
Depends: apache2 , websockify , szarp-iks-server 
Description: Virtual package that depends on all packages needed to iks system

Package: szarp-iks-server
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SZARP iks system server
 This package contains szarp iks server that provide data from szarp, knlib
 or remote location for iks system client applications.

Package: szarp-filler2
Section: python
Architecture: all
Depends: python (>=2.6), ${python:Depends}, szarp-utils, szarp-daemons, python-qt4, python-matplotlib, python-tk, tango-icon-theme
Description: SZARP Filler 2 is a tool for manual szbase data editing.
 This package contains SZARP Filler 2 application that enable user to manually
 edit szbase database. It is written in pyQt4.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 6846 2009-06-23 15:40:30Z pawel $
# Makefile for debian packages building
# execute: 
# fakeroot debian/rules binary to build all packages 
# fakeroot debian/rules source to create source package
# fakeroot debian/rules all to build everything
# note: presence of all libraries that SZARP depends on is mandatory, otherwise you'll end up
# with incomplete packages
#
# How to add files to existing packages:
#  If the file is installed during make install you need just to add an entry to
#  package's <package>.install file
#  Few things to note:
#  * each Files directive is treated as glob expression
#  * if you provide wrong path (i.e. poiting to non-existing file) 
#    the build process will continue as usual just a warning will be issued
#  * it is illegal for two packages to contain the same file unless 
#    they are marked as conflicting or replacing each other 
#  If the file is not installed during make install you have to modify
#  debian/rules file so that the file is placed in package's directory. Files
#  for szarp-doc-html are retrived directly from SZARP's source
#  tree so these packages may serve as example of how it can be done.
#   
# How to add packages:
#  * add entry for package to debian/control file
#  * modify value of NO_CB_PACK_OPTS, but if packages contents is not installed 
#    during make install you will have to perform further modifications 
#    to debian/rules file (you may want to take a look at process of building 
#    szarp-doc-html package in that case)
#
# Recommended reading:
#  * this whole file from bottom to top :)
#  * Debian New Maintainers' Guide (http://www.debian.org/doc/manuals/maint-guide/index.en.html)
#  * Debian Policy Manual (http://www.debian.org/doc/debian-policy)
#  * man debhelper

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_OPTIONS

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
#	CC=gcc
	CFG_ARGS=
else
#	CC=$(DEB_HOST_GNU_TYPE)-gcc
	CFG_ARGS=--with-prefix=/usr/$(DEB_HOST_GNU_TYPE)
endif

DEB_PYTHON_VERSIONS=all

PREFIX = opt/szarp/

INSTALL_DIR = debian/tmp

NO_CB_PACK_OPTS ?= \
		-pszarp-base \
		-pszarp-daemons \
		-pszarp-filler \
		-pszarp-isledit \
		-pszarp-nagios \
		-pszarp-paramd \
		-pszarp-scripts \
		-pszarp-server \
		-pszarp-server-complete \
		-pszarp-terminal \
		-pszarp-updater \
		-pszarp-utils \
		-pszarp-wx \
		-pszarp-viewer \
		-pszarp-xsltd \
		-pszarp-dbg-symbols \
		-pszarp-filler2	\
		-pszarp-ipkedit

ifneq ($(NO_IKS), 1)
	NO_CB_PACK_OPTS += -pszarp-iks 
	NO_CB_PACK_OPTS += -pszarp-iks-server
endif

DOC_PACKAGES ?= \
		-pszarp-doc-pdf \
		-pszarp-doc-html

CFLAGS = -ggdb -w
CXXFLAGS = -ggdb -w
		 
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif



configure: 
	./autogen.sh

debian/config-status-no-cb:
	# Add here commands to configure the package.
	@if [ -e debian/config-status-cb ]; then \
		$(MAKE) clean; \
		rm debian/config-status-cb; \
	fi;
	./autogen.sh
	./configure CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" --prefix=/$(PREFIX) \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--enable-deb-build $(CFG_ARGS) $(EXTRA_CFG_ARGS)
	@touch $@

debian/build-no-cb-stamp: debian/config-status-no-cb
	$(MAKE)
	@touch $@

clean: sanity_check
	-rm debian/*stamp
	-rm debian/config-status*
	-rm debian/build*
	-rm -rf doxy
	-$(MAKE) maintainer-clean
	dh_clean -a
	dh_clean -i

#empty build target to confrom to Debian Policy
build:

install: 
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/$(INSTALL_DIR)
	dh_installdirs
	dh_install -X.svn --sourcedir=$(INSTALL_DIR)

binary-no-cb: debian/build-no-cb-stamp 
	$(MAKE) -f debian/rules DH_OPTIONS="$(NO_CB_PACK_OPTS)" install
	$(MAKE) -f debian/rules DH_OPTIONS="$(NO_CB_PACK_OPTS)" binary-arch-common


binary-arch: binary-no-cb

# Must not depend on anything. This is to be called by
# in another 'make' thread.
binary-arch-common: 
	dh_testroot
	dh_link
	dh_strip --dbg-package=szarp-dbg-symbols
	dh_compress
	dh_makeshlibs
	dh_installinit -i
	dh_installdocs
	dh_installcron
	dh_installlogrotate
	dh_installdeb
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
	dh_perl
	dh_installdebconf
	dh_gencontrol
	dh_md5sums
	$(MAKE) check
	dh_builddeb

debian/build-doc-pdf:
	$(MAKE) -C resources/documentation/new pdf
	touch $@

debian/build-doc-html:
	$(MAKE) -C resources/documentation/new html
	touch $@

debian/build-sssweb: debian/config-status-no-cb
	$(MAKE) -C www/pylons/sssweb
	@touch $@

install-sssweb: DH_OPTIONS=-pszarp-sssweb
install-sssweb:
	dh_testroot
	$(MAKE) -C www/pylons/sssweb install DESTDIR=$(CURDIR)/$(INSTALL_DIR)
	dh_installdirs
	dh_install -X.svn --sourcedir=$(INSTALL_DIR)

create-sssweb: DH_OPTIONS=-pszarp-sssweb
create-sssweb:
	dh_testroot
	dh_python2
	dh_installinit -i
	dh_installdocs
	dh_installlogrotate
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-sssweb: sanity_check configure debian/build-sssweb install-sssweb create-sssweb

binary-arch: binary-no-cb

build-indep: debian/build-doc-pdf debian/build-doc-html

install-doc-pdf:
	dh_install -p szarp-doc-pdf resources/documentation/new/_pdf/* \
		$(PREFIX)resources/documentation/new/pdf

install-doc-html:
	@for i in `find resources/documentation/new/ -type d -name html`; do \
		dh_install -X.svn -p szarp-doc-html $$i $(PREFIX)`(dirname $$i)`; \
	done
	dh_install -X.svn -p szarp-doc-html resources/documentation/new/common \
		$(PREFIX)/resources/documentation/new
	dh_install -p szarp-doc-html resources/documentation/new/style.css \
		$(PREFIX)/resources/documentation/new

install-indep: install-doc-pdf install-doc-html

create-indep: DH_OPTIONS=$(DOC_PACKAGES)
create-indep: 
	dh_gencontrol
	dh_md5sums 
	dh_builddeb 

binary-indep: build-indep install-indep create-indep binary-sssweb

sanity_check:
	dh_testroot
	dh_testdir

binary: sanity_check configure binary-arch binary-indep
	
source: sanity_check clean
	@(cd ..; dpkg-source -b szarp)

all: source binary

.PHONY: build clean binary install-indep source install-doc-html install-doc-pdf build-indep binary-arch binary-arch-common binary-no-cb binary-cb all sanity_check create-indep
